package com.sun.jmx.remote.protocol.iiop;

import org.omg.CORBA.NO_IMPLEMENT;
import org.omg.CORBA.portable.BoxedValueHelper;
import java.io.Serializable;
import org.omg.CORBA.ORB;
import org.omg.CORBA.Context;
import java.math.BigDecimal;
import java.io.IOException;
import org.omg.CORBA.Principal;
import org.omg.CORBA.Any;
import org.omg.CORBA.TypeCode;
import org.omg.CORBA.Object;
import org.omg.CORBA_2_3.portable.InputStream;

public class ProxyInputStream extends InputStream
{
    protected final org.omg.CORBA.portable.InputStream in;
    
    public ProxyInputStream(org.omg.CORBA.portable.InputStream in) {
        this.in = in;
    }
    
    public boolean read_boolean() {
        return this.in.read_boolean();
    }
    
    public char read_char() {
        return this.in.read_char();
    }
    
    public char read_wchar() {
        return this.in.read_wchar();
    }
    
    public byte read_octet() {
        return this.in.read_octet();
    }
    
    public short read_short() {
        return this.in.read_short();
    }
    
    public short read_ushort() {
        return this.in.read_ushort();
    }
    
    public int read_long() {
        return this.in.read_long();
    }
    
    public int read_ulong() {
        return this.in.read_ulong();
    }
    
    public long read_longlong() {
        return this.in.read_longlong();
    }
    
    public long read_ulonglong() {
        return this.in.read_ulonglong();
    }
    
    public float read_float() {
        return this.in.read_float();
    }
    
    public double read_double() {
        return this.in.read_double();
    }
    
    public String read_string() {
        return this.in.read_string();
    }
    
    public String read_wstring() {
        return this.in.read_wstring();
    }
    
    public void read_boolean_array(boolean[] array, int n, int n2) {
        this.in.read_boolean_array(array, n, n2);
    }
    
    public void read_char_array(char[] array, int n, int n2) {
        this.in.read_char_array(array, n, n2);
    }
    
    public void read_wchar_array(char[] array, int n, int n2) {
        this.in.read_wchar_array(array, n, n2);
    }
    
    public void read_octet_array(byte[] array, int n, int n2) {
        this.in.read_octet_array(array, n, n2);
    }
    
    public void read_short_array(short[] array, int n, int n2) {
        this.in.read_short_array(array, n, n2);
    }
    
    public void read_ushort_array(short[] array, int n, int n2) {
        this.in.read_ushort_array(array, n, n2);
    }
    
    public void read_long_array(int[] array, int n, int n2) {
        this.in.read_long_array(array, n, n2);
    }
    
    public void read_ulong_array(int[] array, int n, int n2) {
        this.in.read_ulong_array(array, n, n2);
    }
    
    public void read_longlong_array(long[] array, int n, int n2) {
        this.in.read_longlong_array(array, n, n2);
    }
    
    public void read_ulonglong_array(long[] array, int n, int n2) {
        this.in.read_ulonglong_array(array, n, n2);
    }
    
    public void read_float_array(float[] array, int n, int n2) {
        this.in.read_float_array(array, n, n2);
    }
    
    public void read_double_array(double[] array, int n, int n2) {
        this.in.read_double_array(array, n, n2);
    }
    
    public Object read_Object() {
        return this.in.read_Object();
    }
    
    public TypeCode read_TypeCode() {
        return this.in.read_TypeCode();
    }
    
    public Any read_any() {
        return this.in.read_any();
    }
    
    @Deprecated
    public Principal read_Principal() {
        return this.in.read_Principal();
    }
    
    public int read() throws IOException {
        return this.in.read();
    }
    
    public BigDecimal read_fixed() {
        return this.in.read_fixed();
    }
    
    public Context read_Context() {
        return this.in.read_Context();
    }
    
    public Object read_Object(Class clazz) {
        return this.in.read_Object(clazz);
    }
    
    public ORB orb() {
        return this.in.orb();
    }
    
    public Serializable read_value() {
        return this.narrow().read_value();
    }
    
    public Serializable read_value(Class clazz) {
        return this.narrow().read_value(clazz);
    }
    
    public Serializable read_value(BoxedValueHelper boxedValueHelper) {
        return this.narrow().read_value(boxedValueHelper);
    }
    
    public Serializable read_value(String s) {
        return this.narrow().read_value(s);
    }
    
    public Serializable read_value(Serializable s) {
        return this.narrow().read_value(s);
    }
    
    public java.lang.Object read_abstract_interface() {
        return this.narrow().read_abstract_interface();
    }
    
    public java.lang.Object read_abstract_interface(Class clazz) {
        return this.narrow().read_abstract_interface(clazz);
    }
    
    protected InputStream narrow() {
        if ((this.in instanceof InputStream)) {
            return (InputStream)this.in;
        }
        throw new NO_IMPLEMENT();
    }
    
    public org.omg.CORBA.portable.InputStream getProxiedInputStream() {
        return this.in;
    }
}
